(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     72514,       1661]
NotebookOptionsPosition[     71803,       1631]
NotebookOutlinePosition[     72193,       1648]
CellTagsIndexPosition[     72150,       1645]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "\:30d9\:30af\:30c8\:30eb\:65b9\:7a0b\:5f0f\:3000\n\:70b9A(",
 Cell[BoxData[
  FormBox[
   OverscriptBox["a", "\[RightVector]"], TraditionalForm]]],
 ")\:3092\:901a\:308a",
 Cell[BoxData[
  FormBox[
   OverscriptBox[
    RowBox[{"d", "\[IndentingNewLine]"}], "\[RightVector]"], 
   TraditionalForm]]],
 "\:306b\:5e73\:884c\:306a\:76f4\:7dda\:3092 g \:ff0cg \:4e0a\:306e\:4efb\
\:610f\:306e\:70b9\:3092 P(",
 Cell[BoxData[
  FormBox[
   OverscriptBox["p", "\[RightVector]"], TraditionalForm]]],
 ") \:3068\:3059\:308b"
}], "Subtitle",
 CellChangeTimes->{{3.6188860478306236`*^9, 3.618886058141655*^9}, {
  3.619332290313712*^9, 3.6193322905477123`*^9}, {3.6227861804495373`*^9, 
  3.622786185737938*^9}, {3.6230082579298954`*^9, 3.623008264232619*^9}, {
  3.6230083102237773`*^9, 3.62300846726143*^9}, {3.6230085080887237`*^9, 
  3.6230085539700456`*^9}, {3.623008677650017*^9, 3.6230086963704967`*^9}},
 Background->RGBColor[1, 0.9, 0.8]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"Graphics", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "\[Rule]", "Large"}], ",", 
        RowBox[{"Thickness", "[", "0.009", "]"}], ",", "\[IndentingNewLine]", 
        "                     ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", "Large", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "4"}], ",", "2"}], "}"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Green", ",", 
          RowBox[{"Arrow", "[", 
           RowBox[{"{", 
            RowBox[{"y", ",", 
             RowBox[{"y", "+", 
              RowBox[{"{", 
               RowBox[{"3", ",", "1"}], "}"}]}]}], "}"}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
             "\"\<\!\(\*OverscriptBox[\(d\), \(\[RightVector]\)]\)\>\"", ",", 
              "Large"}], "]"}], ",", 
            RowBox[{"y", "+", 
             RowBox[{"{", 
              RowBox[{"1.5", ",", "1.5"}], " ", "}"}]}]}], "]"}]}], "}"}], 
        ",", "  ", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<A(\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\))\>\"", ",",
             "Large"}], "]"}], ",", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0.5"}], " ", "}"}]}]}], "]"}], " ", ",", 
        "\[IndentingNewLine]", "             \:3000", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"r1", ">=", "1"}], ",", 
          RowBox[{"{", "  ", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<O\>\"", ",", "Large"}], "]"}], ",", 
              RowBox[{"x", "+", 
               RowBox[{"{", 
                RowBox[{"0.5", ",", 
                 RowBox[{"-", "0.5"}]}], "}"}]}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"Red", ",", 
              RowBox[{"Text", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\)\>\"", 
                  ",", "Large"}], "]"}], ",", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}], "-", "x"}], ")"}], 
                    ".", 
                    RowBox[{"(", GridBox[{
                    {"0", 
                    RowBox[{"-", "1"}]},
                    {"1", "0"}
                    }], ")"}]}], "/", 
                   RowBox[{"(", 
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}], "-", "x"}], "]"}], 
                    ")"}]}], "+", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"x", "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}]}], ")"}], "/", 
                   "2"}]}], ")"}]}], "]"}]}], " ", "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"Red", ",", 
              RowBox[{"Arrow", "[", 
               RowBox[{"{", 
                RowBox[{"x", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "4"}], ",", "2"}], "}"}]}], "}"}], "]"}]}], 
             "}"}], ",", " ", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<O\>\"", ",", "Large"}], "]"}], ",", 
              RowBox[{"x", "+", 
               RowBox[{"{", 
                RowBox[{"0.5", ",", 
                 RowBox[{"-", "0.5"}]}], "}"}]}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", "Large", "]"}], ",", 
              RowBox[{"Point", "[", "x", "]"}]}], "}"}], "  ", ",", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"r4", "\[Equal]", "0"}], ",", "   ", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Text", "[", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{
                   "\"\<P(\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\))\>\
\"", ",", "Large"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0.5"}], " ", "}"}], "+", 
                   RowBox[{"t", "*", 
                    RowBox[{"{", 
                    RowBox[{"3", ",", "1"}], "}"}]}]}]}], "]"}], " ", ",", 
                " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"PointSize", "[", "Large", "]"}], ",", 
                  RowBox[{"Point", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
                    RowBox[{"t", "*", 
                    RowBox[{"{", 
                    RowBox[{"3", ",", "1"}], "}"}]}]}], "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"Red", ",", 
                  RowBox[{"Text", "[", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"t", 
                    OverscriptBox["d", "\[RightVector]"]}], ",", "Large"}], 
                    "]"}], ",", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2.5"}], "}"}], "+", 
                    RowBox[{"t", "*", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"3", ",", "1"}], "}"}], "/", "2"}]}]}]}], "]"}]}],
                  " ", "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"Red", ",", 
                  RowBox[{"Arrow", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
                    RowBox[{"t", "*", 
                    RowBox[{"{", 
                    RowBox[{"3", ",", "1"}], "}"}]}]}]}], "}"}], "]"}]}], 
                 "}"}], ",", 
                RowBox[{"Text", "[", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    "\"\<\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\) =\>\
\"", 
                    OverscriptBox["a", "\[RightVector]"]}], " ", "+", " ", 
                    RowBox[{"t", " ", 
                    OverscriptBox["d", "\[RightVector]"]}]}], " ", ",", 
                    "Large"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"6", ",", 
                    RowBox[{"-", "4"}]}], "}"}]}], "]"}]}], "}"}], ",", 
              "\[IndentingNewLine]", " ", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Text", "[", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{
                   "\"\<P(\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\))\>\
\"", ",", "Large"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0.5"}], " ", "}"}], "+", 
                   RowBox[{"t1", "*", 
                    RowBox[{"{", 
                    RowBox[{"3", ",", "1"}], "}"}]}]}]}], "]"}], " ", ",", 
                " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"PointSize", "[", "Large", "]"}], ",", 
                  RowBox[{"Point", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
                    RowBox[{"t1", "*", 
                    RowBox[{"{", 
                    RowBox[{"3", ",", "1"}], "}"}]}]}], "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"Red", ",", 
                  RowBox[{"Text", "[", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<t\!\(\*OverscriptBox[\(d\), \
\(\[RightVector]\)]\)\>\"", ",", "Large"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2.5"}], "}"}], "+", 
                    RowBox[{"t1", "*", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"3", ",", "1"}], "}"}], "/", "2"}]}]}]}], "]"}]}],
                  " ", "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"Red", ",", 
                  RowBox[{"Arrow", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
                    RowBox[{"t1", "*", 
                    RowBox[{"{", 
                    RowBox[{"3", ",", "1"}], "}"}]}]}]}], "}"}], "]"}]}], 
                 "}"}], ",", 
                RowBox[{"Text", "[", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{
                   "\"\<\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\) \
=\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\) + t \!\(\*OverscriptBox[\(d\
\), \(\[RightVector]\)]\)\>\"", " ", ",", "Large"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"6", ",", 
                    RowBox[{"-", "4"}]}], "}"}]}], "]"}]}], "}"}]}], "]"}]}], 
           "\[IndentingNewLine]", "  ", "}"}]}], "  ", "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"r3", "\[Equal]", "1"}], ",", 
          RowBox[{"{", 
           RowBox[{"Pink", ",", "Dashed", ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "10"}], ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"8", ",", "6"}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"r3", "\[Equal]", "2"}], ",", 
            RowBox[{"{", 
             RowBox[{"Blue", ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "10"}], ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"8", ",", "6"}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
           "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"r4", "\[Equal]", "0"}], ",", "   ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<P(\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\))\>\"", 
                ",", "Large"}], "]"}], ",", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0.5"}], " ", "}"}], "+", 
               RowBox[{"t", "*", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "1"}], "}"}]}]}]}], "]"}], " ", ",", " ", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", "Large", "]"}], ",", 
              RowBox[{"Point", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
                RowBox[{"t", "*", 
                 RowBox[{"{", 
                  RowBox[{"3", ",", "1"}], "}"}]}]}], "]"}]}], "}"}], ",", 
            "\[IndentingNewLine]", " ", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", "Large", "]"}], ",", 
              RowBox[{"Point", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "4"}], ",", "2"}], "}"}], "-", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "1"}], "}"}]}], "]"}]}], "}"}], ",", " ", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", "Large", "]"}], ",", 
              RowBox[{"Point", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "1"}], "}"}]}], "]"}]}], "}"}], ",", " ", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", "Large", "]"}], ",", 
              RowBox[{"Point", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
                RowBox[{"2", "*", 
                 RowBox[{"{", 
                  RowBox[{"3", ",", "1"}], "}"}]}]}], "]"}]}], "}"}], ",", 
            "\[IndentingNewLine]", "                  ", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", "Large", "]"}], ",", 
              RowBox[{"Point", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
                RowBox[{"3", "*", 
                 RowBox[{"{", 
                  RowBox[{"3", ",", "1"}], "}"}]}]}], "]"}]}], "}"}], "  ", 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", "Large", "]"}], ",", 
              RowBox[{"Point", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
                RowBox[{"4", "*", 
                 RowBox[{"{", 
                  RowBox[{"3", ",", "1"}], "}"}]}]}], "]"}]}], "}"}]}], "}"}],
           ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<P(\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\))\>\"", 
                ",", "Large"}], "]"}], ",", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0.5"}], " ", "}"}], "+", 
               RowBox[{"t1", "*", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "1"}], "}"}]}]}]}], "]"}], " ", ",", " ", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", "Large", "]"}], ",", 
              RowBox[{"Point", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
                RowBox[{"t1", "*", 
                 RowBox[{"{", 
                  RowBox[{"3", ",", "1"}], "}"}]}]}], "]"}]}], "}"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\) \
=\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\) + t \!\(\*OverscriptBox[\(d\
\), \(\[RightVector]\)]\)\>\"", " ", ",", "Large"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"6", ",", 
                RowBox[{"-", "4"}]}], "}"}]}], "]"}]}], "}"}]}], 
         "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"r1", "\[Equal]", "2"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"r4", "\[Equal]", "0"}], ",", "  ", 
            RowBox[{"{", 
             RowBox[{"Blue", ",", 
              RowBox[{"Arrow", "[", 
               RowBox[{"{", 
                RowBox[{"x", ",", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
                  RowBox[{"t", "*", 
                   RowBox[{"{", 
                    RowBox[{"3", ",", "1"}], "}"}]}]}]}], "}"}], "]"}]}], 
             "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"Blue", ",", 
              RowBox[{"Arrow", "[", 
               RowBox[{"{", 
                RowBox[{"x", ",", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
                  RowBox[{"t1", "*", 
                   RowBox[{"{", 
                    RowBox[{"3", ",", "1"}], "}"}]}]}]}], "}"}], "]"}]}], 
             "}"}]}], "]"}]}], "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"r5", "\[Equal]", "1"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
          RowBox[{"Axes", "\[Rule]", "True"}], ",", " ", 
          RowBox[{"AxesStyle", "\[Rule]", "Blue"}], ",", "  ", 
          RowBox[{"GridLines", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{"-", "10"}], ",", "10", ",", "1"}], "]"}], ",", 
             RowBox[{"Range", "[", 
              RowBox[{
               RowBox[{"-", "6"}], ",", "6", ",", "1"}], "]"}]}], "}"}]}], 
          ",", 
          RowBox[{"GridLinesStyle", "\[Rule]", "Dotted"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "8"}], ",", "8"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "6"}], ",", "6"}], "}"}]}], "}"}]}]}], "}"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "8"}], ",", "8"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "6"}], ",", "6"}], "}"}]}], "}"}]}]}], "]"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Large"}], ",", 
      RowBox[{"LabelStyle", "\[Rule]", 
       RowBox[{"(", 
        RowBox[{"FontSize", "\[Rule]", "17"}], ")"}]}]}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "r1", ",", "1", ",", "\"\<\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb\>\""}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "2"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"r3", ",", "1", ",", "\"\<\:76f4\:7dda\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "2"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"r4", ",", "1", ",", "\"\<t \:9023\:7d9a\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"r5", ",", "0", ",", "\"\<\:5ea7\:6a19\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"t", ",", 
        RowBox[{"-", "1"}], ",", " ", "\"\<t\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "0", ",", "1", ",", "2", ",", "3", ",", 
        "4"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t1", ",", 
      RowBox[{"-", "1"}], ",", "3"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "6"}], ",", 
          RowBox[{"-", "5"}]}], "}"}]}], "}"}], ",", "Locator"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"y", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "7"}], ",", "3"}], "}"}]}], "}"}], ",", "Locator"}], 
     "}"}], ",", 
    RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
    RowBox[{"FrameMargins", "\[Rule]", "0"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6191595847235727`*^9, 3.6191596579187727`*^9}, {
   3.619159742267973*^9, 3.619159748882373*^9}, {3.6192053512006626`*^9, 
   3.6192053895923295`*^9}, {3.619205516560953*^9, 3.6192055944830894`*^9}, {
   3.619205643685576*^9, 3.619205832196307*^9}, {3.6192059942181916`*^9, 
   3.6192060146386275`*^9}, {3.619206096772772*^9, 3.619206185380927*^9}, {
   3.619206215956981*^9, 3.619206300259529*^9}, {3.6192064474301877`*^9, 
   3.6192064807674465`*^9}, {3.6192065331055384`*^9, 3.619206535211542*^9}, {
   3.6192066042844644`*^9, 3.6192066879630117`*^9}, {3.6192067442635107`*^9, 
   3.619206757773134*^9}, {3.6193186774266977`*^9, 3.6193187805270977`*^9}, {
   3.619320026577098*^9, 3.6193201135002975`*^9}, {3.619320235320698*^9, 
   3.6193202387370977`*^9}, {3.6193202697342978`*^9, 
   3.6193204397586975`*^9}, {3.6193204702254977`*^9, 3.619320473704298*^9}, {
   3.619320509069498*^9, 3.619320539115098*^9}, {3.619320634805498*^9, 
   3.619320658829498*^9}, {3.619320697907498*^9, 3.6193207173606977`*^9}, {
   3.619320755877098*^9, 3.6193207650186977`*^9}, {3.619320919801898*^9, 
   3.6193209308310976`*^9}, {3.619320982981898*^9, 3.619321052807498*^9}, {
   3.6193299042290974`*^9, 3.619330002368697*^9}, {3.619330035799497*^9, 
   3.6193301017718973`*^9}, {3.619330138463097*^9, 3.619330240721097*^9}, {
   3.619330274994297*^9, 3.619330289595897*^9}, {3.6193304090734787`*^9, 
   3.6193304252188573`*^9}, {3.6193304783036156`*^9, 
   3.6193305745519133`*^9}, {3.619330618869809*^9, 3.619330638540723*^9}, {
   3.619330668897934*^9, 3.6193307279899764`*^9}, {3.6193312455193124`*^9, 
   3.6193313420833125`*^9}, {3.619331391862912*^9, 3.619331396730112*^9}, {
   3.619331428101712*^9, 3.6193314747925124`*^9}, {3.6193315122481127`*^9, 
   3.6193315308589125`*^9}, {3.6193316140849123`*^9, 
   3.6193316880289125`*^9}, {3.6193317442981124`*^9, 
   3.6193318923265123`*^9}, {3.619332005161312*^9, 3.6193320306205125`*^9}, {
   3.6193321137529125`*^9, 3.6193321972285123`*^9}, {3.6193325031133127`*^9, 
   3.6193325099305124`*^9}, {3.6227866354193373`*^9, 
   3.6227866720013375`*^9}, {3.622786709238538*^9, 3.6227867468345375`*^9}, {
   3.6227868168317375`*^9, 3.622786986930938*^9}, {3.622787036991338*^9, 
   3.6227870607033377`*^9}, {3.6227871508089375`*^9, 
   3.6227871646461377`*^9}, {3.6227873190393376`*^9, 
   3.6227873379777374`*^9}, {3.6227873686317377`*^9, 
   3.6227873812521377`*^9}, {3.622787538546938*^9, 3.6227875967193375`*^9}, {
   3.622787641428938*^9, 3.6227876597901373`*^9}, {3.6227877252165375`*^9, 
   3.622787741471738*^9}, 3.622787940184538*^9, {3.6227879893089375`*^9, 
   3.622788208816538*^9}, {3.622788252106538*^9, 3.6227884940905375`*^9}, {
   3.6227885317801375`*^9, 3.6227886186097374`*^9}, {3.6227886507457376`*^9, 
   3.6227888730769377`*^9}, {3.6227889141205378`*^9, 
   3.6227889957397375`*^9}, {3.6227890484365377`*^9, 3.622789092537738*^9}, {
   3.6227891540797377`*^9, 3.6227893043389378`*^9}, {3.6227893413577375`*^9, 
   3.6227893709353375`*^9}, {3.6228341520436735`*^9, 
   3.6228342744339995`*^9}, {3.6228343677929916`*^9, 3.622834408522691*^9}, {
   3.6228344967807693`*^9, 3.622834611874916*^9}, {3.6228346677922735`*^9, 
   3.6228346715668926`*^9}, {3.6228347160980406`*^9, 3.622834745437126*^9}, {
   3.622834795599008*^9, 3.622834851656782*^9}, 3.6228354089963493`*^9, {
   3.622835487737072*^9, 3.622835488906952*^9}, {3.6228517360319505`*^9, 
   3.622851888770571*^9}, {3.622869944764762*^9, 3.6228699498657002`*^9}, {
   3.62300881856843*^9, 3.6230089464969597`*^9}, {3.623008978145352*^9, 
   3.623008993321622*^9}, {3.6230146289140887`*^9, 3.623014762294089*^9}, {
   3.623014792558089*^9, 3.623014959400089*^9}, {3.6230150305520554`*^9, 
   3.623015077570757*^9}, {3.6230151119673123`*^9, 3.623015159825658*^9}, {
   3.6230151939723067`*^9, 3.623015224624735*^9}, {3.6230152648238735`*^9, 
   3.623015297862979*^9}, {3.623015369572501*^9, 3.623015374408253*^9}, {
   3.623015405669918*^9, 3.623015447820578*^9}, {3.62302460665335*^9, 
   3.623024668568559*^9}, {3.6230247468478537`*^9, 3.623024948334689*^9}, {
   3.6230249989404407`*^9, 3.6230250066155424`*^9}, {3.623025059998058*^9, 
   3.6230251055182743`*^9}, {3.6230251453445635`*^9, 
   3.6230251849680557`*^9}, {3.62302540996774*^9, 3.623025423250914*^9}, {
   3.6230254833607883`*^9, 3.623025491165238*^9}, {3.6230256587993317`*^9, 
   3.623025749797777*^9}, {3.6230259477225294`*^9, 3.6230259747751837`*^9}, {
   3.623026072049289*^9, 3.623026194082658*^9}, {3.6230263154410453`*^9, 
   3.6230264373129325`*^9}, {3.6230264759088173`*^9, 
   3.6230265099337254`*^9}, {3.623026597046062*^9, 3.62302660005692*^9}, {
   3.6230266328955517`*^9, 3.6230267031437025`*^9}, {3.623026743688882*^9, 
   3.6230267477761607`*^9}, {3.623026780224785*^9, 3.6230267857316904`*^9}, {
   3.623026823390815*^9, 3.623026827244089*^9}, {3.62303211889126*^9, 
   3.6230322963423977`*^9}, {3.6230325374263434`*^9, 3.62303257435178*^9}, {
   3.623032634256164*^9, 3.623032642025014*^9}, {3.623106378187802*^9, 
   3.623106453784917*^9}, {3.623106490148284*^9, 3.6231065188521*^9}, {
   3.6231066279422007`*^9, 3.6231066731039114`*^9}, {3.6231067579049673`*^9, 
   3.6231067689340973`*^9}, {3.6231069439649754`*^9, 3.623106952123723*^9}, {
   3.6231069979562287`*^9, 3.6231070248036566`*^9}, {3.623107060839426*^9, 
   3.6231070705581636`*^9}, {3.6231123296016455`*^9, 3.62311236619948*^9}, {
   3.623112425604661*^9, 3.623112555038145*^9}, {3.623112891109145*^9, 
   3.623112982542745*^9}, {3.6231192971043105`*^9, 3.623119300647488*^9}, {
   3.6231195055814276`*^9, 3.623119556307979*^9}, {3.6231196005310807`*^9, 
   3.6231196188813868`*^9}, {3.623634948198058*^9, 3.6236349507427816`*^9}, {
   3.623635062096794*^9, 3.6236350857680626`*^9}, {3.6236351798133707`*^9, 
   3.623635258878784*^9}, 3.6236353049494233`*^9, {3.623635428121687*^9, 
   3.6236354414763994`*^9}, {3.62369948005193*^9, 3.6236995051053696`*^9}, 
   3.6236995692365584`*^9, 3.623700638271182*^9, {3.62372197705048*^9, 
   3.6237219807008567`*^9}, {3.623722255883093*^9, 3.6237222631994457`*^9}, {
   3.6237223050227776`*^9, 3.623722388716241*^9}, {3.6237224331291566`*^9, 
   3.6237224334411545`*^9}, {3.6237225008171225`*^9, 3.623722502579911*^9}, {
   3.6237230415564556`*^9, 3.623723064051512*^9}, {3.6237230990888867`*^9, 
   3.62372316097369*^9}, 3.6237233260206323`*^9, 3.623723365503979*^9, {
   3.623723402163744*^9, 3.623723406157318*^9}, {3.626815178336041*^9, 
   3.6268152069312983`*^9}, {3.6268152443082495`*^9, 
   3.6268153377506533`*^9}, {3.6268154528816905`*^9, 3.6268154765860586`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`r1$$ = 1, $CellContext`r3$$ = 
    1, $CellContext`r4$$ = 1, $CellContext`r5$$ = 
    0, $CellContext`t$$ = -1, $CellContext`t1$$ = -1, $CellContext`x$$ = {-6, \
-5}, $CellContext`y$$ = {-7, 3}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{{
       Hold[$CellContext`r1$$], 1, "\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb"}, {
      0, 1, 2}}, {{
       Hold[$CellContext`r3$$], 1, "\:76f4\:7dda"}, {0, 1, 2}}, {{
       Hold[$CellContext`r4$$], 1, "t \:9023\:7d9a"}, {0, 1}}, {{
       Hold[$CellContext`r5$$], 0, "\:5ea7\:6a19"}, {0, 1}}, {{
       Hold[$CellContext`t$$], -1, "t"}, {-1, 0, 1, 2, 3, 4}}, {
      Hold[$CellContext`t1$$], -1, 3}, {{
       Hold[$CellContext`x$$], {-6, -5}}, Automatic}, {{
       Hold[$CellContext`y$$], {-7, 3}}, Automatic}}, Typeset`size$$ = {
    518., {193., 196.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`r1$6934$$ = 
    0, $CellContext`r3$6935$$ = 0, $CellContext`r4$6936$$ = 
    False, $CellContext`r5$6937$$ = False, $CellContext`t$6938$$ = 
    0, $CellContext`t1$6939$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`r1$$ = 1, $CellContext`r3$$ = 
        1, $CellContext`r4$$ = 1, $CellContext`r5$$ = 
        0, $CellContext`t$$ = -1, $CellContext`t1$$ = -1, $CellContext`x$$ = \
{-6, -5}, $CellContext`y$$ = {-7, 3}}, "ControllerVariables" :> {
        Hold[$CellContext`r1$$, $CellContext`r1$6934$$, 0], 
        Hold[$CellContext`r3$$, $CellContext`r3$6935$$, 0], 
        Hold[$CellContext`r4$$, $CellContext`r4$6936$$, False], 
        Hold[$CellContext`r5$$, $CellContext`r5$6937$$, False], 
        Hold[$CellContext`t$$, $CellContext`t$6938$$, 0], 
        Hold[$CellContext`t1$$, $CellContext`t1$6939$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{Arrowheads -> Large, 
         Thickness[0.009], {
          PointSize[Large], 
          Point[{-4, 2}]}, {Green, 
          Arrow[{$CellContext`y$$, $CellContext`y$$ + {3, 1}}], 
          Text[
           Style[
           "\!\(\*OverscriptBox[\(d\), \(\[RightVector]\)]\)", 
            Large], $CellContext`y$$ + {1.5, 1.5}]}, 
         Text[
          Style[
          "A(\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\))", Large], {-4, 
           2} + {0, 0.5}], 
         If[$CellContext`r1$$ >= 1, {
           Text[
            Style["O", Large], $CellContext`x$$ + {0.5, -0.5}], {Red, 
            Text[
             Style["\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\)", Large],
              Dot[{-4, 2} - $CellContext`x$$, {{0, -1}, {1, 0}}]/
              Norm[{-4, 2} - $CellContext`x$$] + ($CellContext`x$$ + {-4, 2})/
              2]}, {Red, 
            Arrow[{$CellContext`x$$, {-4, 2}}]}, 
           Text[
            Style["O", Large], $CellContext`x$$ + {0.5, -0.5}], {
            PointSize[Large], 
            Point[$CellContext`x$$]}, 
           If[$CellContext`r4$$ == 0, {
             Text[
              Style[
              "P(\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\))", 
               Large], {-4, 2} + {0, 0.5} + $CellContext`t$$ {3, 1}], {
              PointSize[Large], 
              Point[{-4, 2} + $CellContext`t$$ {3, 1}]}, {Red, 
              Text[
               
               Style[$CellContext`t$$ OverVector[$CellContext`d], 
                Large], {-4, 2.5} + $CellContext`t$$ ({3, 1}/2)]}, {Red, 
              Arrow[{{-4, 2}, {-4, 2} + $CellContext`t$$ {3, 1}}]}, 
             Text[
              Style[
              "\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\) =" 
                OverVector[$CellContext`a] + $CellContext`t$$ 
                OverVector[$CellContext`d], Large], {6, -4}]}, {
             Text[
              Style[
              "P(\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\))", 
               Large], {-4, 2} + {0, 0.5} + $CellContext`t1$$ {3, 1}], {
              PointSize[Large], 
              Point[{-4, 2} + $CellContext`t1$$ {3, 1}]}, {Red, 
              Text[
               Style[
               "t\!\(\*OverscriptBox[\(d\), \(\[RightVector]\)]\)", 
                Large], {-4, 2.5} + $CellContext`t1$$ ({3, 1}/2)]}, {Red, 
              Arrow[{{-4, 2}, {-4, 2} + $CellContext`t1$$ {3, 1}}]}, 
             Text[
              Style[
              "\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\) \
=\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\) + t \!\(\*OverscriptBox[\(d\
\), \(\[RightVector]\)]\)", Large], {6, -4}]}]}], 
         If[$CellContext`r3$$ == 1, {Pink, Dashed, 
           Line[{{-10, 0}, {8, 6}}]}, 
          If[$CellContext`r3$$ == 2, {Blue, 
            Line[{{-10, 0}, {8, 6}}]}]], 
         If[$CellContext`r4$$ == 0, {
           Text[
            Style[
            "P(\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\))", 
             Large], {-4, 2} + {0, 0.5} + $CellContext`t$$ {3, 1}], {
            PointSize[Large], 
            Point[{-4, 2} + $CellContext`t$$ {3, 1}]}, {
            PointSize[Large], 
            Point[{-4, 2} - {3, 1}]}, {
            PointSize[Large], 
            Point[{-4, 2} + {3, 1}]}, {
            PointSize[Large], 
            Point[{-4, 2} + 2 {3, 1}]}, {
            PointSize[Large], 
            Point[{-4, 2} + 3 {3, 1}]}, {
            PointSize[Large], 
            Point[{-4, 2} + 4 {3, 1}]}}, {
           Text[
            Style[
            "P(\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\))", 
             Large], {-4, 2} + {0, 0.5} + $CellContext`t1$$ {3, 1}], {
            PointSize[Large], 
            Point[{-4, 2} + $CellContext`t1$$ {3, 1}]}, 
           Text[
            Style[
            "\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\) \
=\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\) + t \!\(\*OverscriptBox[\(d\
\), \(\[RightVector]\)]\)", Large], {6, -4}]}], 
         If[$CellContext`r1$$ == 2, 
          If[$CellContext`r4$$ == 0, {Blue, 
            Arrow[{$CellContext`x$$, {-4, 2} + $CellContext`t$$ {3, 1}}]}, {
           Blue, 
            Arrow[{$CellContext`x$$, {-4, 2} + $CellContext`t1$$ {3, 1}}]}]]}, 
        If[$CellContext`r5$$ == 1, {
         AspectRatio -> Automatic, Axes -> True, AxesStyle -> Blue, GridLines -> {
            Range[-10, 10, 1], 
            Range[-6, 6, 1]}, GridLinesStyle -> Dotted, 
          PlotRange -> {{-8, 8}, {-6, 6}}}, PlotRange -> {{-8, 8}, {-6, 6}}], 
        ImageSize -> Large, LabelStyle -> (FontSize -> 17)], 
      "Specifications" :> {{{$CellContext`r1$$, 1, 
          "\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb"}, {0, 1, 
         2}}, {{$CellContext`r3$$, 1, "\:76f4\:7dda"}, {0, 1, 
         2}}, {{$CellContext`r4$$, 1, "t \:9023\:7d9a"}, {0, 
         1}}, {{$CellContext`r5$$, 0, "\:5ea7\:6a19"}, {0, 
         1}}, {{$CellContext`t$$, -1, "t"}, {-1, 0, 1, 2, 3, 
         4}}, {$CellContext`t1$$, -1, 3}, {{$CellContext`x$$, {-6, -5}}, 
         Automatic, ControlType -> Locator}, {{$CellContext`y$$, {-7, 3}}, 
         Automatic, ControlType -> Locator}}, 
      "Options" :> {ControlPlacement -> Left, FrameMargins -> 0}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{801., {214., 221.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.6268153391257243`*^9, 3.6268154283335295`*^9, 
  3.626815478351776*^9, 3.6268155177600937`*^9}]
}, {2}]],

Cell[BoxData["\[AliasDelimiter]"], "Input",
 CellChangeTimes->{3.6231196487459354`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "\:76f4\:7dda\:306e\:5a92\:4ecb\:5909\:6570\:8868\:793a\n\:70b9A(-4, 2) \
\:3092\:901a\:308a",
 Cell[BoxData[
  FormBox[
   OverscriptBox["d", "\[RightVector]"], TraditionalForm]]],
 "=(3, 1) \:306b\:5e73\:884c\:306a\:76f4\:7dda g \:4e0a\:306e\:4efb\:610f\
\:306e\:70b9\:3092 P(x, y)\:3068\:3059\:308b "
}], "Subtitle",
 CellChangeTimes->{{3.6188860478306236`*^9, 3.618886058141655*^9}, {
  3.619332290313712*^9, 3.6193322905477123`*^9}, {3.6227861804495373`*^9, 
  3.622786185737938*^9}, {3.6230082579298954`*^9, 3.623008264232619*^9}, {
  3.6230083102237773`*^9, 3.62300846726143*^9}, {3.6230085080887237`*^9, 
  3.6230085539700456`*^9}, {3.623008677650017*^9, 3.6230086963704967`*^9}, {
  3.6237238429857187`*^9, 3.623723997440328*^9}, {3.6237243443665047`*^9, 
  3.623724351074461*^9}},
 Background->RGBColor[1, 0.9, 0.8]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"Graphics", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Arrowheads", "\[Rule]", "Large"}], ",", 
        RowBox[{"Thickness", "[", "0.009", "]"}], ",", "\[IndentingNewLine]", 
        "                     ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", "Large", "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "4"}], ",", "2"}], "}"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Green", ",", 
          RowBox[{"Arrow", "[", 
           RowBox[{"{", 
            RowBox[{"y", ",", 
             RowBox[{"y", "+", 
              RowBox[{"{", 
               RowBox[{"3", ",", "1"}], "}"}]}]}], "}"}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
             "\"\<\!\(\*OverscriptBox[\(d\), \(\[RightVector]\)]\)\>\"", ",", 
              "Large"}], "]"}], ",", 
            RowBox[{"y", "+", 
             RowBox[{"{", 
              RowBox[{"1.5", ",", "1.5"}], " ", "}"}]}]}], "]"}]}], "}"}], 
        ",", "  ", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<A(-4,2)\>\"", ",", "Large"}], "]"}], ",", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0.5"}], " ", "}"}]}]}], "]"}], " ", ",", 
        "\[IndentingNewLine]", "             \:3000", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"r1", ">=", "1"}], ",", 
          RowBox[{"{", "  ", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<O\>\"", ",", "Large"}], "]"}], ",", 
              RowBox[{"x", "+", 
               RowBox[{"{", 
                RowBox[{"0.5", ",", 
                 RowBox[{"-", "0.5"}]}], "}"}]}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"Red", ",", 
              RowBox[{"Text", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\)\>\"", 
                  ",", "Large"}], "]"}], ",", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}], "-", "x"}], ")"}], 
                    ".", 
                    RowBox[{"(", GridBox[{
                    {"0", 
                    RowBox[{"-", "1"}]},
                    {"1", "0"}
                    }], ")"}]}], "/", 
                   RowBox[{"(", 
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}], "-", "x"}], "]"}], 
                    ")"}]}], "+", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"x", "+", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}]}], ")"}], "/", 
                   "2"}]}], ")"}]}], "]"}]}], " ", "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"Red", ",", 
              RowBox[{"Arrow", "[", 
               RowBox[{"{", 
                RowBox[{"x", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "4"}], ",", "2"}], "}"}]}], "}"}], "]"}]}], 
             "}"}], ",", " ", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<O\>\"", ",", "Large"}], "]"}], ",", 
              RowBox[{"x", "+", 
               RowBox[{"{", 
                RowBox[{"0.5", ",", 
                 RowBox[{"-", "0.5"}]}], "}"}]}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", "Large", "]"}], ",", 
              RowBox[{"Point", "[", "x", "]"}]}], "}"}], "  ", ",", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"r4", "\[Equal]", "0"}], ",", "   ", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Text", "[", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<P(x,y)\>\"", ",", "Large"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0.5"}], " ", "}"}], "+", 
                   RowBox[{"t", "*", 
                    RowBox[{"{", 
                    RowBox[{"3", ",", "1"}], "}"}]}]}]}], "]"}], " ", ",", 
                " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"PointSize", "[", "Large", "]"}], ",", 
                  RowBox[{"Point", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
                    RowBox[{"t", "*", 
                    RowBox[{"{", 
                    RowBox[{"3", ",", "1"}], "}"}]}]}], "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"Red", ",", 
                  RowBox[{"Text", "[", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"t", 
                    OverscriptBox["d", "\[RightVector]"]}], ",", "Large"}], 
                    "]"}], ",", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2.5"}], "}"}], "+", 
                    RowBox[{"t", "*", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"3", ",", "1"}], "}"}], "/", "2"}]}]}]}], "]"}]}],
                  " ", "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"Red", ",", 
                  RowBox[{"Arrow", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
                    RowBox[{"t", "*", 
                    RowBox[{"{", 
                    RowBox[{"3", ",", "1"}], "}"}]}]}]}], "}"}], "]"}]}], 
                 "}"}], ",", 
                RowBox[{"Text", "[", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    "\"\<\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\) =\>\
\"", 
                    OverscriptBox["a", "\[RightVector]"]}], " ", "+", " ", 
                    RowBox[{"t", " ", 
                    OverscriptBox["d", "\[RightVector]"]}]}], " ", ",", 
                    "Large"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"6", ",", 
                    RowBox[{"-", "4"}]}], "}"}]}], "]"}]}], "}"}], ",", 
              "\[IndentingNewLine]", " ", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Text", "[", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<P(x,y)\>\"", ",", "Large"}], "]"}], ",", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "0.5"}], " ", "}"}], "+", 
                   RowBox[{"t1", "*", 
                    RowBox[{"{", 
                    RowBox[{"3", ",", "1"}], "}"}]}]}]}], "]"}], " ", ",", 
                " ", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"PointSize", "[", "Large", "]"}], ",", 
                  RowBox[{"Point", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
                    RowBox[{"t1", "*", 
                    RowBox[{"{", 
                    RowBox[{"3", ",", "1"}], "}"}]}]}], "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"Red", ",", 
                  RowBox[{"Text", "[", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<t\!\(\*OverscriptBox[\(d\), \
\(\[RightVector]\)]\)\>\"", ",", "Large"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2.5"}], "}"}], "+", 
                    RowBox[{"t1", "*", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"3", ",", "1"}], "}"}], "/", "2"}]}]}]}], "]"}]}],
                  " ", "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"Red", ",", 
                  RowBox[{"Arrow", "[", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
                    RowBox[{"t1", "*", 
                    RowBox[{"{", 
                    RowBox[{"3", ",", "1"}], "}"}]}]}]}], "}"}], "]"}]}], 
                 "}"}], ",", 
                RowBox[{"Text", "[", 
                 RowBox[{
                  RowBox[{"Style", "[", 
                   RowBox[{
                   "\"\<\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\) \
=\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\) + t \!\(\*OverscriptBox[\(d\
\), \(\[RightVector]\)]\)\>\"", " ", ",", "Large"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"6", ",", 
                    RowBox[{"-", "4"}]}], "}"}]}], "]"}]}], "}"}]}], "]"}]}], 
           "\[IndentingNewLine]", "  ", "}"}]}], "  ", "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"r3", "\[Equal]", "1"}], ",", 
          RowBox[{"{", 
           RowBox[{"Pink", ",", "Dashed", ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "10"}], ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"8", ",", "6"}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"r3", "\[Equal]", "2"}], ",", 
            RowBox[{"{", 
             RowBox[{"Blue", ",", 
              RowBox[{"Line", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "10"}], ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"8", ",", "6"}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
           "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"r4", "\[Equal]", "0"}], ",", "   ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<P(x,y)\>\"", ",", "Large"}], "]"}], ",", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0.5"}], " ", "}"}], "+", 
               RowBox[{"t", "*", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "1"}], "}"}]}]}]}], "]"}], " ", ",", " ", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", "Large", "]"}], ",", 
              RowBox[{"Point", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
                RowBox[{"t", "*", 
                 RowBox[{"{", 
                  RowBox[{"3", ",", "1"}], "}"}]}]}], "]"}]}], "}"}]}], "}"}],
           ",", "\[IndentingNewLine]", " ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<P(x,y)\>\"", ",", "Large"}], "]"}], ",", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0.5"}], " ", "}"}], "+", 
               RowBox[{"t1", "*", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "1"}], "}"}]}]}]}], "]"}], " ", ",", " ", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"PointSize", "[", "Large", "]"}], ",", 
              RowBox[{"Point", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
                RowBox[{"t1", "*", 
                 RowBox[{"{", 
                  RowBox[{"3", ",", "1"}], "}"}]}]}], "]"}]}], "}"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\) \
=\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\) + t \!\(\*OverscriptBox[\(d\
\), \(\[RightVector]\)]\)\>\"", " ", ",", "Large"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"6", ",", 
                RowBox[{"-", "4"}]}], "}"}]}], "]"}]}], "}"}]}], 
         "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"r1", "\[Equal]", "2"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"r4", "\[Equal]", "0"}], ",", "  ", 
            RowBox[{"{", 
             RowBox[{"Blue", ",", 
              RowBox[{"Arrow", "[", 
               RowBox[{"{", 
                RowBox[{"x", ",", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
                  RowBox[{"t", "*", 
                   RowBox[{"{", 
                    RowBox[{"3", ",", "1"}], "}"}]}]}]}], "}"}], "]"}]}], 
             "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"Blue", ",", 
              RowBox[{"Arrow", "[", 
               RowBox[{"{", 
                RowBox[{"x", ",", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", "4"}], ",", "2"}], "}"}], "+", 
                  RowBox[{"t1", "*", 
                   RowBox[{"{", 
                    RowBox[{"3", ",", "1"}], "}"}]}]}]}], "}"}], "]"}]}], 
             "}"}]}], "]"}]}], "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", " ", 
        RowBox[{"AxesStyle", "\[Rule]", "Blue"}], ",", "  ", 
        RowBox[{"GridLines", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Range", "[", 
            RowBox[{
             RowBox[{"-", "10"}], ",", "10", ",", "1"}], "]"}], ",", 
           RowBox[{"Range", "[", 
            RowBox[{
             RowBox[{"-", "6"}], ",", "6", ",", "1"}], "]"}]}], "}"}]}], ",", 
        RowBox[{"GridLinesStyle", "\[Rule]", "Dotted"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "8"}], ",", "8"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "6"}], ",", "6"}], "}"}]}], "}"}]}]}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "8"}], ",", "8"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "6"}], ",", "6"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "Large"}], ",", 
      RowBox[{"LabelStyle", "\[Rule]", 
       RowBox[{"(", 
        RowBox[{"FontSize", "\[Rule]", "17"}], ")"}]}]}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "r1", ",", "1", ",", "\"\<\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb\>\""}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "2"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"r3", ",", "0", ",", "\"\<\:76f4\:7dda\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "2"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"r4", ",", "0", ",", "\"\<t \:9023\:7d9a\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"t", ",", 
        RowBox[{"-", "1"}], ",", " ", "\"\<t\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "0", ",", "1", ",", "2", ",", "3", ",", 
        "4"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t1", ",", 
      RowBox[{"-", "1"}], ",", "3"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], "}"}], ",", "Locator"}], "}"}], 
    ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"y", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "7"}], ",", "3"}], "}"}]}], "}"}], ",", "Locator"}], 
     "}"}], ",", 
    RowBox[{"FrameMargins", "\[Rule]", "0"}], ",", 
    RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6191595847235727`*^9, 3.6191596579187727`*^9}, {
   3.619159742267973*^9, 3.619159748882373*^9}, {3.6192053512006626`*^9, 
   3.6192053895923295`*^9}, {3.619205516560953*^9, 3.6192055944830894`*^9}, {
   3.619205643685576*^9, 3.619205832196307*^9}, {3.6192059942181916`*^9, 
   3.6192060146386275`*^9}, {3.619206096772772*^9, 3.619206185380927*^9}, {
   3.619206215956981*^9, 3.619206300259529*^9}, {3.6192064474301877`*^9, 
   3.6192064807674465`*^9}, {3.6192065331055384`*^9, 3.619206535211542*^9}, {
   3.6192066042844644`*^9, 3.6192066879630117`*^9}, {3.6192067442635107`*^9, 
   3.619206757773134*^9}, {3.6193186774266977`*^9, 3.6193187805270977`*^9}, {
   3.619320026577098*^9, 3.6193201135002975`*^9}, {3.619320235320698*^9, 
   3.6193202387370977`*^9}, {3.6193202697342978`*^9, 
   3.6193204397586975`*^9}, {3.6193204702254977`*^9, 3.619320473704298*^9}, {
   3.619320509069498*^9, 3.619320539115098*^9}, {3.619320634805498*^9, 
   3.619320658829498*^9}, {3.619320697907498*^9, 3.6193207173606977`*^9}, {
   3.619320755877098*^9, 3.6193207650186977`*^9}, {3.619320919801898*^9, 
   3.6193209308310976`*^9}, {3.619320982981898*^9, 3.619321052807498*^9}, {
   3.6193299042290974`*^9, 3.619330002368697*^9}, {3.619330035799497*^9, 
   3.6193301017718973`*^9}, {3.619330138463097*^9, 3.619330240721097*^9}, {
   3.619330274994297*^9, 3.619330289595897*^9}, {3.6193304090734787`*^9, 
   3.6193304252188573`*^9}, {3.6193304783036156`*^9, 
   3.6193305745519133`*^9}, {3.619330618869809*^9, 3.619330638540723*^9}, {
   3.619330668897934*^9, 3.6193307279899764`*^9}, {3.6193312455193124`*^9, 
   3.6193313420833125`*^9}, {3.619331391862912*^9, 3.619331396730112*^9}, {
   3.619331428101712*^9, 3.6193314747925124`*^9}, {3.6193315122481127`*^9, 
   3.6193315308589125`*^9}, {3.6193316140849123`*^9, 
   3.6193316880289125`*^9}, {3.6193317442981124`*^9, 
   3.6193318923265123`*^9}, {3.619332005161312*^9, 3.6193320306205125`*^9}, {
   3.6193321137529125`*^9, 3.6193321972285123`*^9}, {3.6193325031133127`*^9, 
   3.6193325099305124`*^9}, {3.6227866354193373`*^9, 
   3.6227866720013375`*^9}, {3.622786709238538*^9, 3.6227867468345375`*^9}, {
   3.6227868168317375`*^9, 3.622786986930938*^9}, {3.622787036991338*^9, 
   3.6227870607033377`*^9}, {3.6227871508089375`*^9, 
   3.6227871646461377`*^9}, {3.6227873190393376`*^9, 
   3.6227873379777374`*^9}, {3.6227873686317377`*^9, 
   3.6227873812521377`*^9}, {3.622787538546938*^9, 3.6227875967193375`*^9}, {
   3.622787641428938*^9, 3.6227876597901373`*^9}, {3.6227877252165375`*^9, 
   3.622787741471738*^9}, 3.622787940184538*^9, {3.6227879893089375`*^9, 
   3.622788208816538*^9}, {3.622788252106538*^9, 3.6227884940905375`*^9}, {
   3.6227885317801375`*^9, 3.6227886186097374`*^9}, {3.6227886507457376`*^9, 
   3.6227888730769377`*^9}, {3.6227889141205378`*^9, 
   3.6227889957397375`*^9}, {3.6227890484365377`*^9, 3.622789092537738*^9}, {
   3.6227891540797377`*^9, 3.6227893043389378`*^9}, {3.6227893413577375`*^9, 
   3.6227893709353375`*^9}, {3.6228341520436735`*^9, 
   3.6228342744339995`*^9}, {3.6228343677929916`*^9, 3.622834408522691*^9}, {
   3.6228344967807693`*^9, 3.622834611874916*^9}, {3.6228346677922735`*^9, 
   3.6228346715668926`*^9}, {3.6228347160980406`*^9, 3.622834745437126*^9}, {
   3.622834795599008*^9, 3.622834851656782*^9}, 3.6228354089963493`*^9, {
   3.622835487737072*^9, 3.622835488906952*^9}, {3.6228517360319505`*^9, 
   3.622851888770571*^9}, {3.622869944764762*^9, 3.6228699498657002`*^9}, {
   3.62300881856843*^9, 3.6230089464969597`*^9}, {3.623008978145352*^9, 
   3.623008993321622*^9}, {3.6230146289140887`*^9, 3.623014762294089*^9}, {
   3.623014792558089*^9, 3.623014959400089*^9}, {3.6230150305520554`*^9, 
   3.623015077570757*^9}, {3.6230151119673123`*^9, 3.623015159825658*^9}, {
   3.6230151939723067`*^9, 3.623015224624735*^9}, {3.6230152648238735`*^9, 
   3.623015297862979*^9}, {3.623015369572501*^9, 3.623015374408253*^9}, {
   3.623015405669918*^9, 3.623015447820578*^9}, {3.62302460665335*^9, 
   3.623024668568559*^9}, {3.6230247468478537`*^9, 3.623024948334689*^9}, {
   3.6230249989404407`*^9, 3.6230250066155424`*^9}, {3.623025059998058*^9, 
   3.6230251055182743`*^9}, {3.6230251453445635`*^9, 
   3.6230251849680557`*^9}, {3.62302540996774*^9, 3.623025423250914*^9}, {
   3.6230254833607883`*^9, 3.623025491165238*^9}, {3.6230256587993317`*^9, 
   3.623025749797777*^9}, {3.6230259477225294`*^9, 3.6230259747751837`*^9}, {
   3.623026072049289*^9, 3.623026194082658*^9}, {3.6230263154410453`*^9, 
   3.6230264373129325`*^9}, {3.6230264759088173`*^9, 
   3.6230265099337254`*^9}, {3.623026597046062*^9, 3.62302660005692*^9}, {
   3.6230266328955517`*^9, 3.6230267031437025`*^9}, {3.623026743688882*^9, 
   3.6230267477761607`*^9}, {3.623026780224785*^9, 3.6230267857316904`*^9}, {
   3.623026823390815*^9, 3.623026827244089*^9}, {3.62303211889126*^9, 
   3.6230322963423977`*^9}, {3.6230325374263434`*^9, 3.62303257435178*^9}, {
   3.623032634256164*^9, 3.623032642025014*^9}, {3.623106378187802*^9, 
   3.623106453784917*^9}, {3.623106490148284*^9, 3.6231065188521*^9}, {
   3.6231066279422007`*^9, 3.6231066731039114`*^9}, {3.6231067579049673`*^9, 
   3.6231067689340973`*^9}, {3.6231069439649754`*^9, 3.623106952123723*^9}, {
   3.6231069979562287`*^9, 3.6231070248036566`*^9}, {3.623107060839426*^9, 
   3.6231070705581636`*^9}, {3.6231123296016455`*^9, 3.62311236619948*^9}, {
   3.623112425604661*^9, 3.623112555038145*^9}, {3.623112891109145*^9, 
   3.623112982542745*^9}, {3.6231192971043105`*^9, 3.623119300647488*^9}, {
   3.6231195055814276`*^9, 3.623119556307979*^9}, {3.6231196005310807`*^9, 
   3.6231196188813868`*^9}, {3.623634948198058*^9, 3.6236349507427816`*^9}, {
   3.623635062096794*^9, 3.6236350857680626`*^9}, {3.6236351798133707`*^9, 
   3.623635258878784*^9}, 3.6236353049494233`*^9, {3.623635428121687*^9, 
   3.6236354414763994`*^9}, {3.62369948005193*^9, 3.6236995051053696`*^9}, 
   3.6236995692365584`*^9, 3.623700638271182*^9, {3.62372197705048*^9, 
   3.6237219807008567`*^9}, {3.623722255883093*^9, 3.6237222631994457`*^9}, {
   3.6237223050227776`*^9, 3.623722388716241*^9}, {3.6237224331291566`*^9, 
   3.6237224334411545`*^9}, {3.6237225008171225`*^9, 3.623722502579911*^9}, {
   3.6237230415564556`*^9, 3.623723064051512*^9}, {3.6237230990888867`*^9, 
   3.62372316097369*^9}, 3.6237233260206323`*^9, 3.623723365503979*^9, {
   3.623723402163744*^9, 3.623723406157318*^9}, 3.6237240294981227`*^9, {
   3.6237240845033703`*^9, 3.623724134313851*^9}, {3.623724191565484*^9, 
   3.623724242218359*^9}, 3.6237242738081565`*^9, {3.6237244068909035`*^9, 
   3.623724410276082*^9}, {3.623724556415945*^9, 3.6237246623704658`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`r1$$ = 1, $CellContext`r3$$ = 
    0, $CellContext`r4$$ = 1, $CellContext`t$$ = 2, $CellContext`t1$$ = 
    3., $CellContext`x$$ = {0, 0}, $CellContext`y$$ = {-7, 3}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", 
    Typeset`specs$$ = {{{
       Hold[$CellContext`r1$$], 1, "\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb"}, {
      0, 1, 2}}, {{
       Hold[$CellContext`r3$$], 0, "\:76f4\:7dda"}, {0, 1, 2}}, {{
       Hold[$CellContext`r4$$], 0, "t \:9023\:7d9a"}, {0, 1}}, {{
       Hold[$CellContext`t$$], -1, "t"}, {-1, 0, 1, 2, 3, 4}}, {
      Hold[$CellContext`t1$$], -1, 3}, {{
       Hold[$CellContext`x$$], {0, 0}}, Automatic}, {{
       Hold[$CellContext`y$$], {-7, 3}}, Automatic}}, Typeset`size$$ = {
    518., {201., 204.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`r1$24304$$ = 
    0, $CellContext`r3$24305$$ = 0, $CellContext`r4$24306$$ = 
    False, $CellContext`t$24307$$ = 0, $CellContext`t1$24308$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`r1$$ = 1, $CellContext`r3$$ = 
        0, $CellContext`r4$$ = 
        0, $CellContext`t$$ = -1, $CellContext`t1$$ = -1, $CellContext`x$$ = {
         0, 0}, $CellContext`y$$ = {-7, 3}}, "ControllerVariables" :> {
        Hold[$CellContext`r1$$, $CellContext`r1$24304$$, 0], 
        Hold[$CellContext`r3$$, $CellContext`r3$24305$$, 0], 
        Hold[$CellContext`r4$$, $CellContext`r4$24306$$, False], 
        Hold[$CellContext`t$$, $CellContext`t$24307$$, 0], 
        Hold[$CellContext`t1$$, $CellContext`t1$24308$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{Arrowheads -> Large, 
         Thickness[0.009], {
          PointSize[Large], 
          Point[{-4, 2}]}, {Green, 
          Arrow[{$CellContext`y$$, $CellContext`y$$ + {3, 1}}], 
          Text[
           Style[
           "\!\(\*OverscriptBox[\(d\), \(\[RightVector]\)]\)", 
            Large], $CellContext`y$$ + {1.5, 1.5}]}, 
         Text[
          Style["A(-4,2)", Large], {-4, 2} + {0, 0.5}], 
         If[$CellContext`r1$$ >= 1, {
           Text[
            Style["O", Large], $CellContext`x$$ + {0.5, -0.5}], {Red, 
            Text[
             Style["\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\)", Large],
              Dot[{-4, 2} - $CellContext`x$$, {{0, -1}, {1, 0}}]/
              Norm[{-4, 2} - $CellContext`x$$] + ($CellContext`x$$ + {-4, 2})/
              2]}, {Red, 
            Arrow[{$CellContext`x$$, {-4, 2}}]}, 
           Text[
            Style["O", Large], $CellContext`x$$ + {0.5, -0.5}], {
            PointSize[Large], 
            Point[$CellContext`x$$]}, 
           If[$CellContext`r4$$ == 0, {
             Text[
              Style[
              "P(x,y)", Large], {-4, 2} + {
               0, 0.5} + $CellContext`t$$ {3, 1}], {
              PointSize[Large], 
              Point[{-4, 2} + $CellContext`t$$ {3, 1}]}, {Red, 
              Text[
               
               Style[$CellContext`t$$ OverVector[$CellContext`d], 
                Large], {-4, 2.5} + $CellContext`t$$ ({3, 1}/2)]}, {Red, 
              Arrow[{{-4, 2}, {-4, 2} + $CellContext`t$$ {3, 1}}]}, 
             Text[
              Style[
              "\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\) =" 
                OverVector[$CellContext`a] + $CellContext`t$$ 
                OverVector[$CellContext`d], Large], {6, -4}]}, {
             Text[
              Style[
              "P(x,y)", Large], {-4, 2} + {
               0, 0.5} + $CellContext`t1$$ {3, 1}], {
              PointSize[Large], 
              Point[{-4, 2} + $CellContext`t1$$ {3, 1}]}, {Red, 
              Text[
               Style[
               "t\!\(\*OverscriptBox[\(d\), \(\[RightVector]\)]\)", 
                Large], {-4, 2.5} + $CellContext`t1$$ ({3, 1}/2)]}, {Red, 
              Arrow[{{-4, 2}, {-4, 2} + $CellContext`t1$$ {3, 1}}]}, 
             Text[
              Style[
              "\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\) \
=\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\) + t \!\(\*OverscriptBox[\(d\
\), \(\[RightVector]\)]\)", Large], {6, -4}]}]}], 
         If[$CellContext`r3$$ == 1, {Pink, Dashed, 
           Line[{{-10, 0}, {8, 6}}]}, 
          If[$CellContext`r3$$ == 2, {Blue, 
            Line[{{-10, 0}, {8, 6}}]}]], 
         If[$CellContext`r4$$ == 0, {
           Text[
            Style[
            "P(x,y)", Large], {-4, 2} + {0, 0.5} + $CellContext`t$$ {3, 1}], {
            PointSize[Large], 
            Point[{-4, 2} + $CellContext`t$$ {3, 1}]}}, {
           Text[
            Style[
            "P(x,y)", Large], {-4, 2} + {0, 0.5} + $CellContext`t1$$ {3, 1}], {
            PointSize[Large], 
            Point[{-4, 2} + $CellContext`t1$$ {3, 1}]}, 
           Text[
            Style[
            "\!\(\*OverscriptBox[\(p\), \(\[RightVector]\)]\) \
=\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\) + t \!\(\*OverscriptBox[\(d\
\), \(\[RightVector]\)]\)", Large], {6, -4}]}], 
         If[$CellContext`r1$$ == 2, 
          If[$CellContext`r4$$ == 0, {Blue, 
            Arrow[{$CellContext`x$$, {-4, 2} + $CellContext`t$$ {3, 1}}]}, {
           Blue, 
            
            Arrow[{$CellContext`x$$, {-4, 
               2} + $CellContext`t1$$ {3, 1}}]}]]}, {
        AspectRatio -> Automatic, Axes -> True, AxesStyle -> Blue, GridLines -> {
           Range[-10, 10, 1], 
           Range[-6, 6, 1]}, GridLinesStyle -> Dotted, 
         PlotRange -> {{-8, 8}, {-6, 6}}}, PlotRange -> {{-8, 8}, {-6, 6}}, 
        ImageSize -> Large, LabelStyle -> (FontSize -> 17)], 
      "Specifications" :> {{{$CellContext`r1$$, 1, 
          "\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb"}, {0, 1, 
         2}}, {{$CellContext`r3$$, 0, "\:76f4\:7dda"}, {0, 1, 
         2}}, {{$CellContext`r4$$, 0, "t \:9023\:7d9a"}, {0, 
         1}}, {{$CellContext`t$$, -1, "t"}, {-1, 0, 1, 2, 3, 
         4}}, {$CellContext`t1$$, -1, 3}, {{$CellContext`x$$, {0, 0}}, 
         Automatic, ControlType -> Locator}, {{$CellContext`y$$, {-7, 3}}, 
         Automatic, ControlType -> Locator}}, 
      "Options" :> {FrameMargins -> 0, ControlPlacement -> Left}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{801., {222., 229.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.623724275602145*^9, 3.623724411820472*^9, 3.6237245655730867`*^9, {
   3.623724612731584*^9, 3.623724632387458*^9}, 3.6237246631660604`*^9, 
   3.6237247176097116`*^9}]
}, {2}]],

Cell[BoxData["\[AliasDelimiter]"], "Input",
 CellChangeTimes->{3.6231196487459354`*^9}]
}, Open  ]]
},
WindowSize->{1350, 685},
WindowMargins->{{-8, Automatic}, {Automatic, 0}},
Magnification->0.8999999761581421,
FrontEndVersion->"10.0 for Microsoft Windows (64-bit) (2014\:5e747\:67089\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 955, 23, 90, "Subtitle"],
Cell[CellGroupData[{
Cell[1559, 49, 28429, 653, 588, "Input"],
Cell[29991, 704, 8024, 164, 483, "Output"]
}, {2}]],
Cell[38027, 871, 87, 1, 29, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38151, 877, 843, 16, 90, "Subtitle"],
Cell[CellGroupData[{
Cell[39019, 897, 25474, 576, 407, "Input"],
Cell[64496, 1475, 7192, 149, 466, "Output"]
}, {2}]],
Cell[71700, 1627, 87, 1, 29, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
